/*4.1 `g̃t[GWJ*/

#include <stdio.h>
#include <math.h>
#define PI 3.14159265358979323

int main(void)
{
	FILE* out_file;
	char fname[255];
	
	/*  PARAMETERS  */
	/*====================================================================*/
	double ft[10000];    // f(t)
	double an[10000];	 // an
	int sampling_frequency   = 360;
	int n_D = 9;     			// ng܂
	double delta_t = 1.0;     	// pulse width
	double T       = 3.0;     	// period
	double frequency = 1.0/3.0;	// frequency
	double w1 = 2*PI*frequency;
	int i,j,t;
	int n;
	int count=0;

	sprintf( fname,"output431.csv");
	out_file = fopen( fname, "w");
	
	printf(" ,n=1,n=2,n=3,n=4,n=5,n=6,n=7,n=8,n=9\n" );	
	fprintf(out_file, " ,n=1,n=2,n=3,n=4,n=5,n=6,n=7,n=8,n=9\n" );
	
	for ( t = 0 ; t<=10*sampling_frequency ; t+=10 )
	{
		printf("%f,  ",(double)count/(double)sampling_frequency );  // horizon axis 
		fprintf(out_file, "%f,", (double)count/(double)sampling_frequency );
		
		for ( n=1 ; n<=n_D ; n++ )
		{
			
			/* w */
			/*=================================================================================================================*/
			/*    "*cos()"̑O"()"anL     */
			//				_______________________________
			an[count] +=  ( 								 )*cos(n*w1*(double)t/(double)sampling_frequency); 
			/*=================================================================================================================*/		
			
			ft[count]= 1.0/3.0+an[count];
			printf("%f,",ft[count] );
			fprintf(out_file, "%f,", ft[count] );
			
		}
		printf("\n");
		fprintf(out_file, "\n");
		
		count++;
	}
	
	fclose(out_file);
	
	return (0);
}


