/***********************************************************************/
	/*					  Note						    */
	/*==================================================*/
	/*  ̃vOł͍  	    */
	/*  ɂ                                    	*/
	/*  	                     time         	    */
	/*  	LPFւ̓͐M̐U    x              	*/
	/*  	LPF̏o͐M̐U  y          	    */
	/*  csvt@Cɏo͂							*/
	/*==================================================*/


#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
#include <limits.h>

int main(void)
{

	/*  PARAMETERS  */
	/*====================================================================*/
	unsigned int fdin;			/* ͐gM̎gCs */
	unsigned int cf = 1000;		/* JbgItgC1[kHz] */
	unsigned int sf = 30001;		/* TvOgC30[kHz] */
	double t = 1.0 / (double)sf;	/* TvOԊuC1/30000[s] */
	double time = 0.0;				/*  */
	int counter = 0;
	int roop    = 1000;
	double dispersion = 0;
	double amplitude;				/* U */
	double correlation = 0;
	double phase;					/* ʑ */
	int num = 0;
	double x;						/* LPFւ̓͐M̐U */
	double y;						/* LPF̏o͐M̐U */
	double dx = 0.0;				/* ꎞO̓͐M̐U */
	double dy = 0.0;				/* ꎞȌo͐M̐U */
	double numerator;  				/* LPF̏o͐M̐U y̕q */
	double denominator;         	/* LPF̏o͐M̐U y̕ */
	
	FILE* Fp;
	char str[256];
	/*====================================================================*/
	
	fprintf(stderr, "͎g  ");
	if(fgets(str, (int)sizeof(str), stdin) == NULL)
	{
		fprintf(stderr, "Cannot read keyboard!\n");
		return(EXIT_FAILURE);
	}
	
	fdin = atoi(str);
	sprintf( str, "DLPF_f_%06u.csv", fdin );
	
	if((Fp = fopen(str, "w")) == NULL)
	{
		fprintf(stderr, "Cannot open: %s\n", str);
		return(EXIT_FAILURE);
	}
	fprintf(Fp, "TIME,X (input),Y (output)\n");	
	printf("----------------e---------------\n");  
	printf("   TIME,    U,        ʑ \n");

	while(counter <= roop)
	{
		while((5.0*(1+counter) / fdin) - time >= 0)		/*5ϑ*/
		{ 
				
			/* w */
			/*================================================================*/
	
			/* OɁF
			 * 
			 * sꏊ
			 * 
			 * fain : AiÖł̎g(pgł͂Ȃ)
			 * numerator :   q
			 * denominator : 
			 * dy
			 * dx
			 * 
			 * ݂̂ł悢B
			 * 
			 * 킴킴Eqɕ̂͊Ԉē͂ȂlɂB
			 * ړ͂ꍇɂ͈ȉ̂悤ɏ΂悢B
			 * 
			 * y = numerator / denominator ;  y = ******* (vZċ߂)
			 * 
			 * -----------------------------------------------------------------
			 *  Ή\ : vZvO̕ϐփ}bsOĉB
			 * -----------------------------------------------------------------
			 *  AiOtB^ɂg        	fa_in
			 *  fW^tB^ɂg            fdin
			 * 	fW^tB^̃JbgItg        cf
			 * 
			 *	x(nT)							     		x
			 *	x((n-1)T)           			     		dx
			 *	y(nT)		                         		y
			 *	y((n-1)T)	                         		dy
			 *  									 		M_PI
			 *	T								  	 		t
			 * -----------------------------------------------------------------
			 */
	
	    	/* ͎g(fD)AiÖł̎g(fA)֕ϊ */
	    	x = sin(2.0 * M_PI * fdin * time);	/* M([pXtB^ɓM) */
	
			/*  */
	    	/* w͂镔  */
	    	numerator   =  			;	// q
	    	denominator = 			;	// 
			
			y = numerator / denominator;
			
			/*---------------̌vZ(1)--------------*/
			num ++;
			dispersion  += pow(y , 2.0);		//U
			correlation += x*y;		            //ʑ
			/*------------------------------------------*/
			
	    	/* XV (̎ɂf[^Ƃėp) */   
	    	dx = x ;
	    	dy = y ;
			/*================================================================*/
	
			if(counter == roop)
			{
	   			fprintf(Fp, "%.7f,%.7f,%.7f\n", time, x, y);
	    	}
	    	time += t;
		}
		
		/*---------------̌vZ(2)--------------*/
		amplitude = sqrt(dispersion/(double)num*2.0);
		phase = -acos(correlation*2.0/(num*amplitude));
		/*------------------------------------------*/
		
		if(counter%10 == 0)
		{
			printf("%10.5f, %10.9f, %10.9f\r", time, amplitude, phase);
		}
		
		if(counter == roop)
		{
			printf("\n------------------------------------------------\n");  
		}
	  	
		counter ++;
	
	}

	fclose(Fp);
 	
	return(EXIT_SUCCESS);

}
