/*4.21)  FFTŗlXȐM*/

#include <stdio.h>
#include <math.h>
#define PI 3.14159265358979323


int main(void)
{
	FILE* out_file;
	char fname[255];
	
	/*  PARAMETERS  */
	/*====================================================================*/
	
	static double   gr[1025], gi[1025];	// ffẗ
	int i, n, m, flg, fft(),count=0;    // 
	int frequency=1;					// g
	int sampling_frequency=1024;		// TvOg
	double wc=0;						// pg
	double t,unit_t;
	/*====================================================================*/

	sprintf( fname,"output432.csv");
	out_file = fopen( fname, "w");
	
	flg = 1;  /* FFT=1, inverse FFT=0 */
	m=10; 

	for( i=0,n=1; i<m; i++ )
	{
		n *= 2;				// 210=1024
	}
		
	wc=2*PI*frequency;
	unit_t=1.0/sampling_frequency;
	
	/***************** sampling step **************/
	
	for ( t= 0.0 ; t<1.0 ; t+=unit_t)
	{
		/* w */
		/*========================================================================================*/
		/*                 ɋL		    */		
		/*           _____________            	*/
		gr[count] = 				;  /*  w  */
		gi[count] = 				;  /*  w  */
		count++;
	}
	
	/* FFT */
	fft( n, gr, gi, flg );
	printf("n,real,n,image\n");
	fprintf(out_file, "n,real,n,image\n" );
	
	for( i=n-5; i<n; i++)
	{
		printf("%d,%5.2f,%d,%5.2f \n", -1024+i, gr[i], -1024+i,gi[i]);
		fprintf(out_file, "%d,%5.2f,%d,%5.2f \n", -1024+i, gr[i], -1024+i,gi[i]);
	}
	
	for( i=0; i<6; i++)
	{
   		printf("%d,%5.2f,%d,%5.2f \n", i, gr[i], i,gi[i]);
		fprintf(out_file, "%d,%5.2f,%d,%5.2f \n", i, gr[i], i,gi[i] );
	}
	
	fclose(out_file);
	return 0;
	
}

fft( n, gr, gi, flg )
int   n, flg;
double   gr[], gi[];
{
	int   i, j, step, l, nl, m, sp, spd2;
	unsigned long int   li, lc;
	double   temp, tempr, tempi, arg, d_arg, co, si;

	/*   bit reversal   */
	for( j=n,m=0; j>=2; j/=2 )
		m++;
	
  	for( j=0; j<n; j++ )
	{
		li = j;
		
		for( lc = 0, l=0; l<m; l++)
	    	lc <<= 1,  lc += li & 1, li >>= 1;
		
		if( j > lc )
		{
       		temp = gr[j]; gr[j] = gr[lc]; gr[lc] = temp;
			temp = gi[j]; gi[j] = gi[lc]; gi[lc] = temp;
       	}
    }
	
    /*   fft main   */
    for( step=1; step<=m; step++ )
	{
		for( i=0,sp=1; i<step; i++)
		{
			sp *= 2;
		}
		
		spd2 = sp / 2;
	    arg = -(double)flg * PI / (double)spd2;
		
	  	for( j=0; j<spd2; j++ )
		{
      		co = cos( arg * (double)j ), si = sin( arg * (double)j );
			
			for( l=j; l<n; l+=sp )
			{
            	nl = l + spd2;
            	tempr = gr[nl]*co - gi[nl]*si;  tempi = gr[nl]*si + gi[nl]*co;
            	gr[nl] = gr[l] - tempr;         gi[nl] = gi[l] - tempi;
            	gr[l] = gr[l] + tempr;          gi[l] = gi[l] + tempi;
            }
        }
	}
	  
   	if( flg==1 )
	{ 
   		for( i=0; i<n; i++ )
		{
			gr[i] /= (double)n;
			gi[i] /= (double)n;
		}
   	}
	
    return( 1 );
	
}